<?php

declare(strict_types=1);

use Phinx\Migration\AbstractMigration;

final class BiggerKeys extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change(): void
    {
        $this->table('token')
        ->changeColumn('refresh_token', 'string', [
            'limit' => 2048,
            'null' => true,
            'default' => null,
        ])
        ->changeColumn('access_token', 'string', [
            'limit' => 2048,
            'null' => true,
            'default' => null,
        ])
    ->update();
    }
}
